XMLEntityCodec (Mule ESB 2.2.1 API)
Keywords: org.mule.util.XMLEntityCodec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class XMLEntityCodec

    java.lang.Object
      org.mule.util.XMLEntityCodec

    public final class XMLEntityCodec

extends Object

This encoder contains methods that convert characters to Character entities as defined by http://www.w3.org/TR/REC-html40/sgml/entities.html. More precisely it combines the functionality of `StringEscapeUtils.escapeXml(String)` and `StringEscapeUtils.escapeHtml(String)` into a single pass.

Constructor Summary
`protected` | `XMLEntityCodec()`

Method Summary
`static String` | `decodeString(String str)`
`static String` | `encodeString(String str)`
`static String` | `entityName(int value)` Returns the name of the entity identified by the specified value.
`static int` | `entityValue(String name)` Returns the value of the entity identified by the specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEntityCodec

    protected XMLEntityCodec()

Method Detail

### encodeString

    public static String encodeString(String str)

### decodeString

    public static String decodeString(String str)

### entityName

    public static String entityName(int value)

  Returns the name of the entity identified by the specified value.

  Parameters:
    `value` - the value to locate
  Returns:
    entity name associated with the specified value

### entityValue

    public static int entityValue(String name)

  Returns the value of the entity identified by the specified name.

  Parameters:
    `name` - the name to locate
  Returns:
    entity value associated with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.